Package org.apache.wiki.plugin

# Class ReferringPagesPlugin

java.lang.Object
org.apache.wiki.plugin.AbstractReferralPlugin
org.apache.wiki.plugin.ReferringPagesPlugin

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class ReferringPagesPlugin extends AbstractReferralPlugin
Displays the pages referring to the current page. Parameters:

- max - How many items to show.
- extras - How to announce extras.
- page - Which page to get the table of contents from.

From AbstractReferralPlugin:

- separator - How to separate generated links; default is a wikitext line break, producing a vertical list.
- maxwidth - maximum width, in chars, of generated links.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_EXTRAS`
Parameter name for setting the text to show when the maximum items is overruled.
`static final String`
`PARAM_MAX`
Parameter name for setting the maximum items to show.
`static final String`
`PARAM_PAGE`
Parameter name for choosing the page.

### Fields inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`ALL_ITEMS, items, m_after, m_before, m_dateFormat, m_dateLastModified, m_engine, m_exclude, m_include, m_lastModified, m_maxwidth, m_separator, m_show, m_sorter, PARAM_AFTER, PARAM_BEFORE, PARAM_COLUMNS, PARAM_EXCLUDE, PARAM_INCLUDE, PARAM_LASTMODIFIED, PARAM_MAXWIDTH, PARAM_SEPARATOR, PARAM_SHOW, PARAM_SHOW_VALUE_COUNT, PARAM_SHOW_VALUE_PAGES, PARAM_SORTORDER, PARAM_SORTORDER_HUMAN, PARAM_SORTORDER_JAVA, PARAM_SORTORDER_LOCALE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`ReferringPagesPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getDisplayName(Locale locale)`
`String`
`getSnipExample()`

### Methods inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`applyColumnsStyle, filterAndSortCollection, filterCollection, filterWikiPageCollection, initialize, makeHTML, wikitizeCollection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_MAX

public static final String PARAM_MAX
Parameter name for setting the maximum items to show. Value is `"max"`.

See Also:
  - Constant Field Values

### PARAM_EXTRAS

public static final String PARAM_EXTRAS
Parameter name for setting the text to show when the maximum items is overruled. Value is `"extras"`.

See Also:
  - Constant Field Values

### PARAM_PAGE

public static final String PARAM_PAGE
Parameter name for choosing the page. Value is `"page"`.

See Also:
  - Constant Field Values

## Constructor Details

### ReferringPagesPlugin

public ReferringPagesPlugin()

## Method Details

### getDisplayName

public String getDisplayName(Locale locale)

### getSnipExample

public String getSnipExample()

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Throws:
  `org.apache.wiki.api.exceptions.PluginException`